Theme sections
Get sections
Retrieves one of the company’s sections with up to its first 10 stored items. Returns 400 when the ID does not match a section of the company. Requires a user Bearer token with permission to view pages.
GET
/
api
/
sections
/
{id}
Get sections
curl --request GET \
--url https://api.fluid.app/api/sections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/sections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/sections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/sections/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/sections/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/sections/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/sections/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 48213,
"order": 1,
"pinned": true,
"highlight_assets": false,
"title": "Office Essentials",
"description": "Office Essentials",
"slug": "Office Essentials",
"section_items": [
{
"id": 90412,
"order": 1,
"pin_id": null,
"relateable_type": "Product",
"relateable": {
"id": 30117,
"title": "Dunder Mifflin 20lb Copy Paper",
"sku": "DM-20LB-CASE",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/products/20lb-copy-paper.jpg"
}
},
{
"id": 90413,
"order": 2,
"pin_id": null,
"relateable_type": "Medium",
"relateable": {
"id": 55210,
"title": "Why Dunder Mifflin Paper Still Wins",
"media_type": "video",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/paper-still-wins-poster.jpg"
}
}
]
}{
"message": "<string>"
}Response
Success
A section of the member share page, with up to its first 10 items.
⌘I
Get sections
curl --request GET \
--url https://api.fluid.app/api/sections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/sections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/sections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/sections/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/sections/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/sections/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/sections/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 48213,
"order": 1,
"pinned": true,
"highlight_assets": false,
"title": "Office Essentials",
"description": "Office Essentials",
"slug": "Office Essentials",
"section_items": [
{
"id": 90412,
"order": 1,
"pin_id": null,
"relateable_type": "Product",
"relateable": {
"id": 30117,
"title": "Dunder Mifflin 20lb Copy Paper",
"sku": "DM-20LB-CASE",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/products/20lb-copy-paper.jpg"
}
},
{
"id": 90413,
"order": 2,
"pin_id": null,
"relateable_type": "Medium",
"relateable": {
"id": 55210,
"title": "Why Dunder Mifflin Paper Still Wins",
"media_type": "video",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/paper-still-wins-poster.jpg"
}
}
]
}{
"message": "<string>"
}